Browse code

cmake C project

Nat! authored on 03-07-2017 11:43:40 • Nat! committed on 05-07-2017 17:01:44
Showing 6 changed files
... ...
@@ -1,6 +1,6 @@
1 1
 cmake_minimum_required (VERSION 3.0)
2 2
 
3
-project (mulle-vararg)
3
+project (mulle-vararg C)
4 4
 
5 5
 cmake_policy(SET CMP0054 NEW)
6 6
 
... ...
@@ -1,3 +1,8 @@
1
+### 0.5.17
2
+
3
+* make it a cmake "C" project
4
+
5
+
1 6
 ### 0.5.15
2 7
 
3 8
 * modernized project
... ...
@@ -1,6 +1,6 @@
1 1
 #! /usr/bin/env bash
2 2
 #
3
-#   Copyright (c) 2017 Nat! - Mulle kybernetiK
3
+#   Copyright (c) 2017 Nat! - Codeon GmbH
4 4
 #   All rights reserved.
5 5
 #
6 6
 #   Redistribution and use in source and binary forms, with or without
... ...
@@ -37,34 +37,8 @@
37 37
 #   ./bin/release.sh -v -n --publisher mulle-nat --publisher-tap mulle-kybernetik/software/
38 38
 #
39 39
 
40
-EXE_DIR="`dirname -- $0`"
41
-
42
-# if there is a release-info.sh file read it
43
-if [ -f "${EXE_DIR}/release-info.sh" ]
44
-then
45
-   DO_GIT_RELEASE="YES"
46
-   . "${EXE_DIR}/release-info.sh"
47
-fi
48
-
49
-# if there is a formula-info.sh file read it
50
-if [ -f "${EXE_DIR}/formula-info.sh" ]
51
-then
52
-   DO_GENERATE_FORMULA="YES"
53
-   . "${EXE_DIR}/formula-info.sh"
54
-fi
55
-
56
-#
57
-# If there is a - possibly .gitignored - tap-info.sh file read it.
58
-# It could store PUBLISHER and PUBLISHER_TAP
59
-#
60
-if [ -f "${EXE_DIR}/tap-info.sh" ]
61
-then
62
-   . "${EXE_DIR}/tap-info.sh"
63
-fi
64
-
65
-
66 40
 #######
67
-# If you are using mulle-build, you don't hafta change anything after this
41
+# If you are using mulle-build, you don't hafta change anything
68 42
 #######
69 43
 
70 44
 #
... ...
@@ -99,18 +73,15 @@ generate_brew_formula()
99 73
    _generate_brew_formula "$@"
100 74
 }
101 75
 
76
+
102 77
 #######
103 78
 # Ideally changes to the following values are done with the command line
104 79
 # which makes it easier for forks.
105 80
 #######
106 81
 
107 82
 MULLE_BOOTSTRAP_FAIL_PREFIX="`basename -- $0`"
108
-MULLE_HOMEBREW_VERSION="4.1.0"
83
+MULLE_HOMEBREW_VERSION="5.1.0"
109 84
 
110
-#
111
-# prefer local mulle-homebrew if available
112
-# Do not embed it anymore!
113
-#
114 85
 if [ -z "`command -v mulle-homebrew-env`" ]
115 86
 then
116 87
    cat <<EOF >&2
... ...
@@ -124,6 +95,7 @@ fi
124 95
 INSTALLED_MULLE_HOMEBREW_VERSION="`mulle-homebrew-env version`" || exit 1
125 96
 LIBEXEC_DIR="`mulle-homebrew-env libexec-path`" || exit 1
126 97
 
98
+. "${LIBEXEC_DIR}/mulle-files.sh"       || exit 1
127 99
 . "${LIBEXEC_DIR}/mulle-homebrew.sh"    || exit 1
128 100
 . "${LIBEXEC_DIR}/mulle-git.sh"         || exit 1
129 101
 . "${LIBEXEC_DIR}/mulle-version.sh"     || exit 1
... ...
@@ -134,7 +106,7 @@ main()
134 106
 {
135 107
    if [ "${DO_GIT_RELEASE}" != "YES" -a "${DO_GENERATE_FORMULA}" != "YES" ]
136 108
    then
137
-      fail "Nothing to do. release-info.sh and formula-info.sh are missing"
109
+      fail "Nothing to do! bin/version-info.sh and bin/formula-info.sh are missing"
138 110
    fi
139 111
 
140 112
    if [ "${DO_GIT_RELEASE}" = "YES" ]
... ...
@@ -143,30 +115,32 @@ main()
143 115
       git_main "${BRANCH}" "${ORIGIN}" "${TAG}" "${GITHUB}" || exit 1
144 116
    fi
145 117
 
146
-   if [ "${DO_GENERATE_FORMULA}" = "YES" ]
118
+   if [ "${DO_GENERATE_FORMULA}" != "YES" ]
147 119
    then
148
-      if [ -z "${PUBLISHER}" ]
149
-      then
150
-         fail "You need to specify a publisher with --publisher (hint: https://github.com/<publisher>)"
151
-      fi
152
-
153
-      if [ -z "${PUBLISHER_TAP}" ]
154
-      then
155
-         fail "You need to specify a publisher tap with --tap (hint: <mulle-kybernetik/software>)"
156
-      fi
157
-
158
-      # generate the formula and push it
159
-      homebrew_main "${PROJECT}" \
160
-                    "${NAME}" \
161
-                    "${VERSION}" \
162
-                    "${DEPENDENCIES}" \
163
-                    "${BUILD_DEPENDENCIES}" \
164
-                    "${HOMEPAGE_URL}" \
165
-                    "${DESC}" \
166
-                    "${ARCHIVE_URL}" \
167
-                    "${HOMEBREW_TAP}" \
168
-                    "${RBFILE}"
120
+       return
169 121
    fi
122
+
123
+   if [ -z "${PUBLISHER}" ]
124
+   then
125
+      fail "You need to specify a publisher with --publisher (hint: https://github.com/<publisher>)"
126
+   fi
127
+
128
+   if [ -z "${PUBLISHER_TAP}" ]
129
+   then
130
+      fail "You need to specify a publisher tap with --tap (hint: <mulle-kybernetik/software>)"
131
+   fi
132
+
133
+   # generate the formula and push it
134
+   homebrew_main "${PROJECT}" \
135
+                 "${NAME}" \
136
+                 "${VERSION}" \
137
+                 "${DEPENDENCIES}" \
138
+                 "${BUILD_DEPENDENCIES}" \
139
+                 "${HOMEPAGE_URL}" \
140
+                 "${DESC}" \
141
+                 "${ARCHIVE_URL}" \
142
+                 "${HOMEBREW_TAP}" \
143
+                 "${RBFILE}"
170 144
 }
171 145
 
172 146
 main "$@"
173 147
similarity index 100%
174 148
rename from bin/release-info.sh
175 149
rename to bin/version-info.sh
... ...
@@ -215,7 +215,7 @@
215 215
 			isa = XCBuildConfiguration;
216 216
 			baseConfigurationReference = 41998A331CB6693400D18DD8 /* Debug.xcconfig */;
217 217
 			buildSettings = {
218
-				CURRENT_PROJECT_VERSION = 0.4;
218
+				CURRENT_PROJECT_VERSION = 0.5.17;
219 219
 				GCC_C_LANGUAGE_STANDARD = c99;
220 220
 			};
221 221
 			name = Debug;
... ...
@@ -224,7 +224,7 @@
224 224
 			isa = XCBuildConfiguration;
225 225
 			baseConfigurationReference = 41998A3A1CB6693400D18DD8 /* Release.xcconfig */;
226 226
 			buildSettings = {
227
-				CURRENT_PROJECT_VERSION = 0.4;
227
+				CURRENT_PROJECT_VERSION = 0.5.17;
228 228
 				GCC_C_LANGUAGE_STANDARD = c99;
229 229
 			};
230 230
 			name = Release;
... ...
@@ -14,7 +14,7 @@
14 14
 //
15 15
 // community version is always even
16 16
 //
17
-#define MULLE_VARARG_VERSION  ((0 << 20) | (5 << 8) | 15)
17
+#define MULLE_VARARG_VERSION  ((0 << 20) | (5 << 8) | 17)
18 18
 
19 19
 
20 20
 /*